Add the ability to use CdiVaadinServlet instead of VaadinServlet

Description

We want to use Rapidclipse with our already existing CDI persistence-framework that works in Vaadin applications with CdiVaadinServlet:

Dependencies:

However there is already a Rapidclipse generated RapServlet which extends only VaadinServlet and so we can't make our code work without replacing the servlet.

The best solution for this problem would be the creation of a "CdiRapServlet" or a Interface that can be used in any Servlet.

Environment

None

Activity

Show:
Florian
November 26, 2020, 7:53 AM

This cannot be done without breaking backward compatibility. Therefor it its an issue for the next major release, where we do the update to the latest Vaadin version.

Assignee

Florian

Reporter

Alexander B

Labels